@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');

body {
	padding: 0;
	margin: 0;
	font-family: 'Montserrat', sans-serif;
}

section {
	background: url(resource/фон\ для\ окна\ регистрации\ и\ входа.svg) no-repeat center;
	height: 100vh;
	width: 100%;
	position: relative;
}

button {
	border: none;
}

input {
	width: 270px;
	padding: 5px 5px;
}

input:focus {
	outline: none;
}

input,
label {
	display: block;
}

p {
	color: #797979;
	margin-top: 54px;
}

a {
	text-decoration: none;
}

p,
a {
	font-size: 16px;
}

.container {
	display: flex;
	width: 1170px;
	justify-content: center;
	align-items: center;
	margin: 0 auto;
}

.signup-window {
	box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.11);
	border-radius: 13px;
	width: 440px;
	height: 750px;
	background: #fff;
	margin-top: 164px;
}

.close-the-window {
	display: flex;
	width: 23px;
	height: 23px;
	background: #e8e8e8;
	border-radius: 4px;
	margin: 10px 10px 0 407px;
	cursor: pointer;
	justify-content: center;
	align-items: center;
	opacity: 0.7;
}

.close-the-window:hover {
	opacity: 1;
}

.registration-data {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.registration-data input {
	display: block;
	border-radius: 8px;
	border: 1px solid #d5d5d5;
	font-size: 20px;
	width: 304px;
	height: 40px;
	padding: 0;
	padding: 0px 10px;
}

.registration-data input:focus {
	border: 1px solid #b142ff;
}

.registration-data label {
	position: absolute;
	display: block;
	color: #979797;
	top: 10px;
	left: 10px;
}

.registration-data-email {
	margin-top: 23px;
	position: relative;
	margin-bottom: 34px;
}

.registration-data-password {
	position: relative;
	margin-bottom: 34px;
}

input:focus ~ label,
input:valid ~ label {
	opacity: 0;
}

.button-create-acc {
	display: flex;
	font-size: 22px;
	font-weight: 700;
	text-decoration: none;
	color: #fff;
	background: #1f1f1f;
	border-radius: 10px;
	width: 326px;
	height: 52px;
	padding: 0;
	margin: 0;
	justify-content: center;
	align-items: center;
}

.button-create-acc:hover {
	background: #252525;
}

.log-in {
	color: #2b53df;
}

.log-in:hover {
	color: #1b3db8;
}
